# log4cplus::OnlyOnceErrorHandler Class Reference

`#include <appender.h>`

Inheritance diagram for log4cplus::OnlyOnceErrorHandler:

[legend]
Collaboration diagram for log4cplus::OnlyOnceErrorHandler:

[legend]
List of all members.

## Public Member Functions

| OnlyOnceErrorHandler ()
virtual void | error (const log4cplus::tstring &err)

## Constructor & Destructor Documentation

log4cplus::OnlyOnceErrorHandler::OnlyOnceErrorHandler | ( |  | ) | `[inline]`

| Definition at line 50 of file appender.h.

## Member Function Documentation

virtual void log4cplus::OnlyOnceErrorHandler::error | ( | const log4cplus::tstring & | err | ) | `[virtual]`

| Implements log4cplus::ErrorHandler.

The documentation for this class was generated from the following file:

- appender.h